<?php

  /*
   * Cette classe decrit un plugin "vide", qui peut servir de base
   * au developpement d'un nouveau plugin.
   *
   * SI VOUS UTILISEZ CE FICHIER COMME BASE POUR UN NOUVEAU PLUGIN :
   *
   * Si par exemple vous renommez cette classe en :
   *
   *   class mon_plugin extends mw_plugin
   *
   *  - renommez le fichier mw_minimal.php en mon_plugin.php
   *  - renommez le dossier mw_minimal en mon_plugin
   *
   * Vous aurez alors un nouveau plugin "mon_plugin" pret a accueillir
   * vos nouveaux developpements
   *
   * Votre plugin peut definir de nouveaux modules d'acces aux donnes,
   * de nouveaux modules d'action et de nouveaux fichiers d'affichage
   *
   * d'une maniere generale, l'organisation du code dans un plugin
   * est la meme que celle dans l'application.
   *
   * un dossier de plugin peut contenir des dossiers :
   *  - app/data
   *  - app/mods
   *  - out
   *
   * qui seront traites exactement comme les dossiers de meme nom dans
   * l'application principale
   *
   *
   * plus d'infos en ligne sur le fonctionnement de l'application :
   *
   * http://mtweb.dj3c1t.com
   *
   */

  class mw_minimal extends mw_plugin{

    /*
     * retourne une chaine de caracteres avec le nom du plugin
     * tel qu'il apparaitra dans l'administration du site
     *
     */
    function title(){
      return "Minimal";
    }

    /*
     * retourne une chaine de caracteres avec la description du plugin
     * telle qu'elle apparaitra dans l'administration du site
     *
     */
    function description(){
      return "Un plugin 'vide'";
    }

    /*
     * Cette methode sera appelee lors du clic sur le lien "installer"
     * dans l'administration, pour ce plugin.
     * 
     * l'objet $env est fourni en parametre par l'application au moment
     * de l'appel.
     *
     * retourne :
     * - une chaine de caracteres avec un message d'erreur en cas d'erreur
     * - TRUE en cas de succes
     *
     */
    function install($env){
      return true;
    }

    /*
     * Cette methode sera appelee lors du clic sur le lien "desinstaller"
     * dans l'administration, pour ce plugin.
     * 
     * l'objet $env est fourni en parametre par l'application au moment
     * de l'appel.
     *
     * retourne :
     * - une chaine de caracteres avec un message d'erreur en cas d'erreur
     * - TRUE en cas de succes
     *
     */
    function uninstall($env){
      return true;
    }

    /*
     * Cette methode sera appelee lors du clic sur le lien "activer"
     * dans l'administration, pour ce plugin.
     * 
     * l'objet $env est fourni en parametre par l'application au moment
     * de l'appel.
     *
     * retourne :
     * - une chaine de caracteres avec un message d'erreur en cas d'erreur
     * - TRUE en cas de succes
     *
     */
    function enable($env){
      return true;
    }

    /*
     * Cette methode sera appelee lors du clic sur le lien "desctiver"
     * dans l'administration, pour ce plugin.
     * 
     * l'objet $env est fourni en parametre par l'application au moment
     * de l'appel.
     *
     * retourne :
     * - une chaine de caracteres avec un message d'erreur en cas d'erreur
     * - TRUE en cas de succes
     *
     */
    function disable($env){
      return true;
    }

    /*
     * Cette methode sera appelee a chaque requete, avant le traitement
     * de l'action demandee
     * 
     * l'objet $env est fourni en parametre par l'application au moment
     * de l'appel.
     *
     * retourne :
     * - FALSE en cas d'erreur
     * - TRUE en cas de succes
     *
     */
    function init($env){
      return true;
    }

  }

?>